import { MojoParameters } from "../infrastructure/mojo-parameters";
export declare class ScanService {
    private parameters;
    private client;
    private resourceService;
    private technologyStackService;
    private actorService;
    private subscribedEndpointService;
    private languageService;
    private entityService;
    private glossaryService;
    private project;
    constructor(parameters: MojoParameters);
    scan(): void;
    private initializeScan;
    private scanConfiguration;
    private scanBytesOfCode;
    private scanGlossaryTerms;
    private scanEntities;
    private scanSubscribedEndpoints;
    private scanActors;
    private scanTechStack;
    private sendScan;
}
