import { ScannedComponent } from "./scanned-component";
import { ScanExecution } from "./scan-execution";
import { DomainObject } from "./domain-object";
import { Actor } from "./actor";
import { RestApiEndpoint } from "./rest-api-endpoint";
import { GlossaryTerm } from "./glossary-term";
export interface Scan {
    scannedComponent: ScannedComponent;
    execution: ScanExecution;
    pluginName: string;
    pluginVersion: string;
    entities: DomainObject[];
    subscribedEndpoints: RestApiEndpoint[];
    actors: Actor[];
    glossaryTerms: GlossaryTerm[];
}
export declare function createScan(): Scan;
